Brep split with curves problem

In rhino 7 I made a python script to splits a surface with several curves.
When I use the blue curves in combination with the other curves the split will go wrong and one piece of the surface disappear.
It seams that the brep exists.
But when I add it to the document the guid “00000000-0000-0000-0000-000000000000” is created.

brepsplit.3dm (2.4 MB)
brepsplits.py (653 Bytes)


before the split

After the split

import rhinoscriptsyntax as rs
import scriptcontext as sc
from Rhino.Geometry import Curve
from System.Collections.Generic import IEnumerable
from System import Double

tol=sc.doc.ModelAbsoluteTolerance

brepID=rs.GetObject("Select surface",8)
crvIDs=rs.GetObjects("Select curves",4)

crvs=[rs.coercecurve(crvID) for crvID in crvIDs]
brep=rs.coercebrep(brepID)
splits=brep.Split.Overloads[IEnumerable[Curve],Double](crvs, tol)
if splits:
    for brep in splits:
        splitsurf=sc.doc.Objects.AddBrep(brep)
        print splitsurf
        rs.MatchObjectAttributes(splitsurf,brepID)
    rs.DeleteObject(brepID)
sc.doc.Views.Redraw()

00000000-0000-0000-0000-000000000000 == System.GUID.Empty - i.e. the geometry produced is invalid or absent and as such it could not be added to the document, so an empty GUID is returned when trying.

This appears to be a bug in Brep.Split() in V7, the code works in V8 and returns 4 surface pieces.

Ok thanks one reason more to change to version 8